# TPK4186 - Advanced Tools for Performance Engineering
# Main.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# This work is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Table of Contents
# -----------------
# 1. Required modules
# 2. Main

# 1. Required modules
# -------------------

import sys
import re

sys.path.insert(0, 'src')
from MarkovModels import *
from TextInterface import *
from Calculator import *

# 2. Main
# -------

parser = Parser()
model = parser.ImportModel("../CompartmentalModel/CompartmentalModel.mrk")
if model==None:
  sys.exit()

checker = Checker()
error = checker.CheckModel(model)
if error!=0:
  sys.exit()

# printer = Printer()
# printer.PrintModel(model, sys.stdout)

calculator = Calculator()
calculator.AssessModelAndExportResults(model, [10*(i+1) for i in range(0, 876)], "results.txt")